<?php
require_once ("../../config/Cado.php");
require_once("../tipocambio/cTipocambio.php");
$otipocambio = new ctipocambio();
require_once("../tipocambiotesoreria/cTipocambiotesoreria.php");
$oTipocambiotesoreria = new cTipocambiotesoreria();
require_once("../formatos/formato.php");
date_default_timezone_set('America/Lima');
if($_POST['action_tipocambio']=="insertar"){
	
	if(!empty($_POST['txt_tipcam_val']))
	{
		if($_POST['vista']=="panel"){
			$fecha = date('Y-m-d'); 
		}else{
			$fecha = $_POST['txt_tipcam_fec']; 
		}
		
	$rs = $otipocambio->consultar(fecha_mysql($fecha));	
		if(mysqli_num_rows($rs)==0)
		{
			$otipocambio->insertar(
				fecha_mysql($fecha), 
				$_POST['txt_tipcam_val']
			);
			
			$data['tipcam_msj']='Tipo de cambio actualizado : Valor del dolar S/ '.$_POST['txt_tipcam_val'];
			
			$val = $_POST['txt_tipcam_val'];
			
			$val = $val + 0.10;
			
			$oTipocambiotesoreria->insertar(
				fecha_mysql($fecha),
				$val
			);
			
				$dts=$otipocambio->ultimoInsert();
				$dt = mysqli_fetch_array($dts);
				$tipcam_id=$dt['last_insert_id()'];
				mysqli_free_result($dts);
			
			$data['tipcam_id']= $tipcam_id;
		}
		else
		{			
			$data['tipcam_msj']='Ya hay un tipo de cambio registrado para ese dia.';
		}
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
if($_POST['action_tipocambio']=="editar"){
	if(!empty($_POST['hdd_tipcam_id'])){
		$otipocambio->modificar(
			$_POST['hdd_tipcam_id'], 
			fecha_mysql($_POST['txt_tipcam_fec']), 
			$_POST['txt_tipcam_val']);
		
		$data['tipcam_msj']='Se registró correctamente.';
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
if($_POST['action']=="eliminar")
{
	echo 'No puedes eliminar Ningun Tipo de Cambio.';
	/*if(!empty($_POST['moncam_id']))
	{
		
		$otipocambio->modificar_campo($_POST['moncam_id'],'xac','0');
		echo 'Se eliminó correctamente.';
		
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}*/
}
if($_POST['action_tipocambio']=="obtener_tipcam"){
	//soles
	if($_POST['mone_id']=='1')
	{
		$resultado=formato_money(1.000);
	}
	//dolares
	if($_POST['mone_id']=='2')
	{
		$fec =$_POST['fec']; //date('Y-m-d'); 
		//$fechahoy = date('d-m-Y');
		//$fechahoy = fecha_mysql($fechahoy);	
		$rs = $otipocambio->consultar(fecha_mysql($fec));
		$dt = mysqli_fetch_array($rs);
		$resultado =formato_money($dt['tb_tipocambio_dolsun']);
		if($resultado=='0.000')$resultado = "Debe actualizar el tipo de cambio";
		mysqli_free_result($rs);
		//$resultado=formato_money(3.00);
	}else{
		$resultado = '1.00';
	}
	$data['moncam_val']=$resultado;
	
	echo json_encode($data);
}	
?>